"""
URL configuration for django_project project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/5.1/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, include
from myapp import views

urlpatterns = [
    path('admin/', admin.site.urls),
    path('register/', views.register_view, name='register'),
    path('', views.login_view, name='login'), # default view
    path('account/', views.account_view, name='account'),
    path('delete/', views.delete_account_view, name='delete_account'),
    path('logout/', views.logout_view, name='logout'),
    path('groups/', views.group_list_view, name='group_list'),
    path('groups/create/', views.group_create_view, name='group_create'),
    path('groups/<int:group_id>/update/', views.group_update_view, name='group_update'),
    path('groups/<int:group_id>/delete/', views.group_delete_view, name='group_delete'),
    path('groups/<int:group_id>/', views.group_detail_view, name='group_detail'),
    path('post/create/', views.create_post_view, name='create_post'),
    path('feed/', views.feed_view, name='feed'),
]
