# myapp/management/commands/initdb.py

from django.core.management.base import BaseCommand
from django.conf import settings
import rust_crud_api

class Command(BaseCommand):
    help = 'Initializes the database by creating necessary tables via the Rust extension'

    def handle(self, *args, **options):
        db_url = settings.DATABASE_URL
        try:
            rust_crud_api.init_db(db_url)
            self.stdout.write(self.style.SUCCESS('Database initialized successfully.'))
        except Exception as e:
            self.stderr.write(self.style.ERROR(f'Error initializing database: {e}'))

